Create a health recompute request
POST
/v1/dataset-versions/{versionId}/health-recompute-requestscurl -X POST 'https://api.embodiflow.io/v1/dataset-versions/{versionId}/health-recompute-requests' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- versionIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
响应
Success
- dataobject必填
- idstring必填
- datasetVersionIdstring必填
- statusstring必填可选值completeddeduplicated
- deduplicatedone of必填
- healthobject必填
- createdAtstring必填
响应示例
{
"data": {
"id": "string",
"datasetVersionId": "string",
"status": "completed",
"deduplicated": false,
"health": {
"datasetVersionId": "string",
"datasetId": "string",
"projectId": "string",
"status": "unknown",
"score": 0,
"dimensions": [
{
"id": "quality",
"status": "warning",
"message": "string",
"recommendedAction": "string",
"evidenceLinks": [
{}
]
}
],
"blockers": [
{
"id": "string",
"dimensionId": "quality",
"severity": "warning",
"code": "string",
"message": "string",
"waived": false,
"waiveReason": "string",
"waivedAt": "string",
"waivedByDisplayName": "string",
"waiverNeedsReview": false,
"evidenceLinks": [
{}
],
"linkedRepairTaskId": "string",
"linkedRepairTaskStatus": "in_progress"
}
],
"recommendedNextAction": "string",
"computedAt": "string",
"freshnessStatus": "unknown",
"evidenceUpdatedAt": "string",
"isStale": false,
"staleReason": "string",
"recomputeStatus": "in_progress",
"assetHealthStatus": "failed"
},
"createdAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1